ImageMagick 缓冲区错误漏洞

  • A+
所属分类:cnnvd_vulns

漏洞信息详情

ImageMagick 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201609-620
  • <!--

  • 危害等级: 中危-->
  • 危害等级: 中危
    ImageMagick 缓冲区错误漏洞

  • CVE编号:
    CVE-2016-7101

  • 漏洞类型:

    缓冲区错误

  • 发布时间:

    2016-09-28

  • 威胁类型:

    远程

  • 更新时间:

    2021-04-29

  • 厂        商:

    imagemagick
  • 漏洞来源:
    PeiwenChen of Tenc...

漏洞简介

ImageMagick是美国ImageMagick Studio公司的一套开源的图象处理软件。该软件可读取、转换、写入多种格式的图片。

ImageMagick 7.0.2-10之前的版本中的SGI coder中的coders/sgi.c文件存在安全漏洞。远程攻击者可借助sgi文件中特制的row值利用该漏洞造成拒绝服务(越边界读取)。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

https://github.com/ImageMagick/ImageMagick/commit/8f8959033e4e59418d6506b345829af1f7a71127

参考网址

来源:CONFIRM

链接:https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=836776

来源:BID

链接:https://www.securityfocus.com/bid/93181

来源:CONFIRM

链接:https://github.com/ImageMagick/ImageMagick/commit/8f8959033e4e59418d6506b345829af1f7a71127

来源:CONFIRM

链接:https://github.com/ImageMagick/ImageMagick/commit/7afcf9f71043df15508e46f079387bd4689a738d

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2016/09/26/8

受影响实体

  • Imagemagick Imagemagick:7.0.2-9  

    <!--

    2000-1-1

    -->

补丁

  • ImageMagick'coders/sgi.c'缓冲区溢出漏洞的修复措施

    <!--

    2016-9-28

    -->

  • 我的微信
  • 这是我的微信扫一扫
  • weinxin
  • 我的微信公众号
  • 我的微信公众号扫一扫
  • weinxin

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: